aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/clang-format/clang-format-all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/clang-format/clang-format-all.sh')
-rwxr-xr-xtools/clang-format/clang-format-all.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/tools/clang-format/clang-format-all.sh b/tools/clang-format/clang-format-all.sh
index c9caea0d61..62228b0b01 100755
--- a/tools/clang-format/clang-format-all.sh
+++ b/tools/clang-format/clang-format-all.sh
@@ -1,8 +1,9 @@
#!/bin/bash
-set -ex
+set -e
+source $(dirname $0)/config.sh
cd $(dirname $0)/../..
for dir in src test include
do
- find $dir -name '*.c' -or -name '*.cc' -or -name '*.h' | xargs clang-format -i
+ find $dir -name '*.c' -or -name '*.cc' -or -name '*.h' | xargs $CLANG_FORMAT -i
done